//
//  HomeViewController.swift
//  swoof
//
//  Created by Dillon DuPont on 12/10/18.
//  Copyright © 2018 Dillon DuPont. All rights reserved.
//

import UIKit
import SnapKit;

class HomeViewController: UIViewController {

    @IBOutlet weak var countdownContainer: UIView!
    
    @IBOutlet weak var nextGame: UILabel!
    @IBOutlet weak var countdownLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        countdownContainer.layer.cornerRadius = 30;
        countdownContainer.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.top.equalTo(self.view.safeAreaLayoutGuide.snp.topMargin).offset(60);
            make.width.equalToSuperview().offset(-30);
            make.height.equalTo(140);
        }
        
        nextGame.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.top.equalToSuperview().offset(10);
        }
        countdownLabel.snp.makeConstraints { (make) -> Void in
            make.center.equalToSuperview();
            make.top.equalToSuperview().offset(10);
        }
        
        // Do any additional setup after loading the view.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
