//
//  BidsContainerView.swift
//  swoof
//
//  Created by Dillon DuPont on 12/16/18.
//  Copyright © 2018 Dillon DuPont. All rights reserved.
//

import UIKit

class BidsContainerView: UIView {
    var bidButtons = [UIView]();
    
    override func layoutSubviews() {
        super.layoutSubviews();
        
        for button in bidButtons {
            button.removeFromSuperview();
        }
        
        bidButtons.removeAll();
        
        let width = self.frame.width;
        let height = self.frame.height;
        
        let itemWidth = width / 5.0;
        let itemHeight = itemWidth / 1.5;
        
        for x in 0 ... 5 {
            for y in 0 ... Int(height / itemHeight) - 1 {
                let view = UIView(frame: CGRect(x: 0, y: 0, width: itemWidth - 4, height: itemHeight - 4));
                view.center = CGPoint(x: (CGFloat(x) * itemWidth) + (itemWidth / 2.0), y: (CGFloat(y) * itemHeight) + (itemHeight / 2.0));
                view.layer.cornerRadius = 2.0;
                view.backgroundColor = .gray;
                self.addSubview(view);
                
                bidButtons.append(view);
            }
        }
        
        print(bidButtons.count);
    }
    
    /*
    // Only override draw() if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func draw(_ rect: CGRect) {
        // Drawing code
    }
    */

}
